#include <iostream>
using namespace std;
int nNiz[100000];
int ofarbani[10000];
int i,n,m,s;
int backTrack(int k,int &NajmanjaDosada)
{
    if(k==n)
    {
        s=0;
        for(i=0;i<m;i++)
        {
            s+=ofarbani[i]*(n-ofarbani[i]);
        }
        if(s<NajmanjaDosada)
            NajmanjaDosada=s;
    }
    else
    {
        if(nNiz[k]==m)
        {
           for(i=0;i<nNiz[k];i++)
           {
            ofarbani[i]++;

           }
           backTrack(k+1,NajmanjaDosada);
           for(i=0;i<nNiz[k];i++)
           {
            ofarbani[i]--;
           }
           backTrack(k+1,NajmanjaDosada);
        }
        else
        {
        for(i=0;i<nNiz[k];i++)
        {
            ofarbani[i]++;

        }
        backTrack(k+1,NajmanjaDosada);
        for(i=0;i<nNiz[k];i++)
        {
            ofarbani[i]--;
        }
        for(i=m-1;i>=m-nNiz[k];i--)
        {
            ofarbani[i]++;
        }
        backTrack(k+1,NajmanjaDosada);
        for(i=m-1;i>=m-nNiz[k];i--)
        {
            ofarbani[i]--;
        }
        }
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cout.tie(NULL);
    cin.tie(NULL);
    cin>>n;
    cin>>m;
    for(i=0;i<n;i++)
    {
        cin>>nNiz[i];
    }
    int d;
    backTrack(0,d);
    cout<<d;
}